# Features
* [wpmlcore-7487] Added an option to enable/disable translating the login and registration page.
* [wpmlcore-7353] Allowed visiting wp-login page with the language prefix in URL when language URL format is set to "Different languages in directories".
* [wpmlcore-7224] Removed code which depends on versions of WordPress which are not supported anymore.
* [wpmlcore-7185] Removed welcome notice with "Learn how to translate media" link.
* [wpmlcore-7160] Added Azerbaijani language.
* [wpmlcore-7092] Added the dialog box with detailed information when the user activates "Browser language redirect" for the first time.
* [wpmlcore-7066] Improved performance on some admin pages on sites with big number of users.

# Fixes
* [wpmlcore-7499] Changed styling of installed plugin item in Recommendations step of WPML wizard.
* [wpmlcore-7427] Fixed changing number of elements displayed per page.
* [wpmlcore-7413] Adding possibility to translate Gutenberg table captions.
* [wpmlcore-7397] Fixed 404 error on the translated registration page when using `language as a directory` option and there are no rewrite rules available for the current language.
* [wpmlcore-7380] Fixed problem with displaying post embed in the second language.
* [wpmlcore-7379] Adding missing primary index for icl_locale_map.
* [wpmlcore-7370] Disabled language status icon on the page list are not clickable anymore.
* [wpmlcore-7348] Fixed problems with random logging out on secondary language subdomains when Single Sign-on is active.
* [wpmlcore-7327] Fixed problems with displaying embedded static front page in a second language.
* [wpmlcore-7314] Fix undefined index: sitepress-style notice.
* [wpmlcore-7309] Fix 404 errors due to incorrect URL conversion persistent caching.
* [wpmlcore-7307] Fixed removing media attachments in case when attachment with similar name exists in WordPress filesystem.
* [wpmlcore-7283] Fixed 404 error when trying to preview a page that is in draft state.
* [wpmlcore-7245] Fixed error on WP-CLI command execution with specific wordpress and WPML configuration.
* [wpmlcore-7237] Fixed a fatal error when activating WPML on some systems.
* [wpmlcore-7228] Fixed displaying a blank screen for a root page when page.php does not exist in the theme.
* [wpmlcore-7050] Fixed duplication of posts with the translation jobs in Translation Management that have been canceled before.
* [wpmlcore-6927] Fix so that any links to the home page in translated content are updated and point to the translated home page.
* [wpmlcore-6925] Replaced flag for the Arabic language.
* [wpmlcore-6786] Fixed passing a language parameter via sub-domain to REST Request.
* [wpmlcore-6359] Fixed wrong language names in Croatian.
* [wpmlcore-6054] Fixed removing anchors from URL when redirecting to browser language.
* [wpmlcore-5961] Fixed displaying SEO hreflangs on the home page when it's set to "Display Latest Posts" and on the archives page.
* [wpmlcore-5567] Fixed wrong redirection in case "Use directory for default language" with the static home page when pretty permalinks are set to "/%postname%".
* [wpmlcore-2787] Fixed error when visiting translated page of the taxonomy that has been deleted.

# Compatibility
* [wpmlcore-7439] Add the ability to translate reviews in Elementor.
* [wpmlcore-7404] Fixed the translation icons not showing anymore for Avada 7 global layouts.
* [wpmlcore-7375] Fixed the translations not applied with Enfold's Avia builder.
* [wpmlcore-7364] Fixed a compatibility issue with WPBakery Page Builder preventing custom styles when a post is translated without a translation editor.
* [wpmlcore-7344] Fixed breaking CTE when content contains the <textarea> tag.
* [wpmlcore-7341] Fixed an issue with translation not being applied when the post content has both Gutenberg blocks and page builder shortcodes.
* [wpmlcore-7340] Fixed a styling issue with Elementor PRO Blockquote translation.
* [wpmlcore-7208] Translate counter suffix and prefix elements in Elementor.
* [wpmlcore-7168] Extended information on required plugins versions.
* [wpmlcore-7166] Fixed replacing media translated with Media Translation on Elementor pages when using ATE.
* [wpmlcore-7154] Adding the elements to our configuration, so that self-hosted video and external url video can be translated in the translation editor.
* [wpmlcore-6446] Introduce filter hook `wpml_apply_save_attachment_actions` to enable terms and custom fields synchronization when an attachment is saved.
* [wpmlcore-6367] Replacing Image Class ID for WordPress image element with the translated value.
* [wpmlcore-5797] Added Content-Security-Policy header to fix problems with single-sign-on feature on some hosting providers when using languages in domains.

# Usability
* [wpmlcore-7310] Changed translation field type for Gutenberg HTML block to a text area in CTE.
* [wpmlcore-6650] Fix browser language redirect for English (UK) and similar locales.

# API
* [wpmlcore-7061] Fixing the API and tests for filter wpml_get_link_to_edit_translation.
* [wpmlcore-6438] Fixed displaying of incorrect translations status in Taxonomy Translation when there are more than 1000 taxonomies.